Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269239 - net-nntp/pan-0.133 fails to emerge with GCC 4.4
Summary: net-nntp/pan-0.133 fails to emerge with GCC 4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: net-news Herd
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-05-10 12:34 UTC by 404 Error
Modified: 2009-05-15 22:23 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,13.68 KB, text/plain)
2009-05-10 12:37 UTC, 404 Error
Details
Patch allowing net-nntp/pan-0.133 to compile with gcc-4.4.0 (pan-0.133-gcc4.4.0.patch,2.65 KB, patch)
2009-05-10 20:55 UTC, Víctor Ostorga (RETIRED)
Details | Diff
Patch from current ebuild net-nntp/pan-0.133 (pan-0.133-r1.ebuild.patch,876 bytes, patch)
2009-05-10 20:58 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 404 Error 2009-05-10 12:34:29 UTC
When emerged on a system with GCC 4.4, the compilation fails :

progress.cc: In member function 'void pan::Progress::set_status_va(const char*, ...)':
progress.cc:87: error: 'vsnprintf' was not declared in this scope
make[3]: *** [progress.o] Error 1
make[3]: *** Waiting for unfinished jobs....
log.cc: In member function 'void pan::Log::add_va(pan::Log::Severity, const char*, ...)':
log.cc:82: error: 'vsnprintf' was not declared in this scope
log.cc: In static member function 'static void pan::Log::add_info_va(const char*, ...)':
log.cc:94: error: 'vsnprintf' was not declared in this scope
log.cc: In static member function 'static void pan::Log::add_err_va(const char*, ...)':
log.cc:106: error: 'vsnprintf' was not declared in this scope
log.cc: In static member function 'static void pan::Log::add_urgent_va(const char*, ...)':
log.cc:118: error: 'vsnprintf' was not declared in this scope
make[3]: *** [log.o] Error 1
mv -f .deps/e-util.Tpo .deps/e-util.Po
mv -f .deps/line-reader.Tpo .deps/line-reader.Po
mv -f .deps/string-view.Tpo .deps/string-view.Po
mv -f .deps/quark.Tpo .deps/quark.Po
mv -f .deps/text-match.Tpo .deps/text-match.Po
mv -f .deps/file-util.Tpo .deps/file-util.Po
make[3]: Leaving directory `/var/tmp/portage/net-nntp/pan-0.133/work/pan-0.133/pan/general'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-nntp/pan-0.133/work/pan-0.133/pan'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-nntp/pan-0.133/work/pan-0.133'
make: *** [all] Error 2
 * 
 * ERROR: net-nntp/pan-0.133 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line  170:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed


Reproducible: Always

Steps to Reproduce:




Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.4.0, glibc-2.9_p20081201-r2, 2.6.30-rc5 x86_64)
=================================================================
System uname: Linux-2.6.30-rc5-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.0.0
Timestamp of tree: Sat, 09 May 2009 21:45:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2, 2.6.2
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -msse4"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe -msse4"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages metadata-transfer parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://localhost/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en fr"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/nx /usr/local/portage/layman/enlightenment /usr/local/portage/layman/mozilla /usr/local/portage/layman/dotnet /usr/local/portage/layman/emacs /usr/local/portage/layman/gentoo-quebec"
SYNC="rsync://localhost/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdda cddb cdio cdr chardet cli cracklib crypt cups dbus dirac dri dts dvd dvdr dvdread dvi eds emboss encode esd evo fam ffmpeg flac fortran ftp gdbm gif glib gnome gpm gstreamer gtk gtk2 hal hvm iconv isdnlog jack java jpeg jpeg2k kde kdeprefix kerberos kpathsea ldap libnotify mad midi mikmod mmx mp2 mp3 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly nswrapper objc objc++ objc-gc ogg openal opengl openmp oss pam pcre pdf perl png postgres ppds pppd python qt3 qt3support qt4 quicktime readline reflection samba sdl session spell spl sse sse2 sse3 ssl ssse3 startup-notification svg sysfs tcl tcpd theora threads tiff tk truetype unicode usb vorbis x264 xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en fr" USERLAND="GNU" VIDEO_CARDS="vesa radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 404 Error 2009-05-10 12:37:12 UTC
Created attachment 190827 [details]
build.log

Problem logged here does not appear when gcc-4.3.3 is used
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-05-10 18:16:51 UTC
need a patch. You might want to check with pan-9999 ebuild just to check if upstream already fixed this or not. If not, please also report this upstream and paste the url here, thanks.
Comment 3 Víctor Ostorga (RETIRED) gentoo-dev 2009-05-10 20:55:19 UTC
Created attachment 190866 [details, diff]
Patch allowing net-nntp/pan-0.133 to compile with gcc-4.4.0

The upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=573722 , it is in unconfirmed status, but the patch works.
Comment 4 Víctor Ostorga (RETIRED) gentoo-dev 2009-05-10 20:58:02 UTC
Created attachment 190867 [details, diff]
Patch from current ebuild net-nntp/pan-0.133

Just to make things simpler, attached is the ebuild diff using the gcc 4.4.0 patch
Comment 5 Gilles Dartiguelongue gentoo-dev 2009-05-10 21:22:29 UTC
patch to the package looks fine.
patch for the ebuild doesn't need to inherit flag-o-matic, just eutils.

Thanks.
Comment 6 Ryan Hill (RETIRED) gentoo-dev 2009-05-15 22:23:50 UTC
Fixed.  Thanks for the patch.